ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
ome::xml::model::enums Namespace Reference

Model enumerations. More...

## Classes
class | AcquisitionMode
| AcquisitionMode enumeration. More...
class | ArcType
| ArcType enumeration. More...
class | Binning
| Binning enumeration. More...
class | Compression
| Compression enumeration. More...
class | ContrastMethod
| ContrastMethod enumeration. More...
class | Correction
| Correction enumeration. More...
class | DetectorType
| DetectorType enumeration. More...
class | DimensionOrder
| DimensionOrder enumeration. More...
class | EnumerationException
| EnumerationException is thrown when an enumeration is invalid or not found. More...
class | ExperimentType
| ExperimentType enumeration. More...
class | FilamentType
| FilamentType enumeration. More...
class | FillRule
| FillRule enumeration. More...
class | FilterType
| FilterType enumeration. More...
class | FontFamily
| FontFamily enumeration. More...
class | FontStyle
| FontStyle enumeration. More...
class | IlluminationType
| IlluminationType enumeration. More...
class | Immersion
| Immersion enumeration. More...
class | LaserMedium
| LaserMedium enumeration. More...
class | LaserType
| LaserType enumeration. More...
class | LineCap
| LineCap enumeration. More...
class | Marker
| Marker enumeration. More...
class | Medium
| Medium enumeration. More...
class | MicrobeamManipulationType
| MicrobeamManipulationType enumeration. More...
class | MicroscopeType
| MicroscopeType enumeration. More...
class | NamingConvention
| NamingConvention enumeration. More...
class | PixelType
| PixelType enumeration. More...
class | Pulse
| Pulse enumeration. More...

## Functions
bool | operator== (const AcquisitionMode &lhs, const AcquisitionMode &rhs)
| Compare two AcquisitionMode objects for equality. More...
bool | operator== (const AcquisitionMode &lhs, const AcquisitionMode::enum_value &rhs)
| Compare AcquisitionMode object and enum value for equality. More...
bool | operator== (const AcquisitionMode::enum_value &lhs, const AcquisitionMode &rhs)
| Compare enum value and AcquisitionMode for equality. More...
bool | operator== (const AcquisitionMode &lhs, const std::string &rhs)
| Compare AcquisitionMode object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const AcquisitionMode &rhs)
| Compare enum string value and AcquisitionMode object for equality. More...
bool | operator!= (const AcquisitionMode &lhs, const AcquisitionMode &rhs)
| Compare two AcquisitionMode objects for non-equality. More...
bool | operator!= (const AcquisitionMode &lhs, const AcquisitionMode::enum_value &rhs)
| Compare AcquisitionMode object and enum value for non-equality. More...
bool | operator!= (const AcquisitionMode::enum_value &lhs, const AcquisitionMode &rhs)
| Compare enum value and AcquisitionMode object for non-equality. More...
bool | operator!= (const AcquisitionMode &lhs, const std::string &rhs)
| Compare AcquisitionMode object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const AcquisitionMode &rhs)
| Compare enum string value and AcquisitionMode object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const AcquisitionMode &enumeration)
| Output AcquisitionMode to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, AcquisitionMode &enumeration)
| Set AcquisitionMode from input stream. More...
bool | operator== (const ArcType &lhs, const ArcType &rhs)
| Compare two ArcType objects for equality. More...
bool | operator== (const ArcType &lhs, const ArcType::enum_value &rhs)
| Compare ArcType object and enum value for equality. More...
bool | operator== (const ArcType::enum_value &lhs, const ArcType &rhs)
| Compare enum value and ArcType for equality. More...
bool | operator== (const ArcType &lhs, const std::string &rhs)
| Compare ArcType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const ArcType &rhs)
| Compare enum string value and ArcType object for equality. More...
bool | operator!= (const ArcType &lhs, const ArcType &rhs)
| Compare two ArcType objects for non-equality. More...
bool | operator!= (const ArcType &lhs, const ArcType::enum_value &rhs)
| Compare ArcType object and enum value for non-equality. More...
bool | operator!= (const ArcType::enum_value &lhs, const ArcType &rhs)
| Compare enum value and ArcType object for non-equality. More...
bool | operator!= (const ArcType &lhs, const std::string &rhs)
| Compare ArcType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const ArcType &rhs)
| Compare enum string value and ArcType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const ArcType &enumeration)
| Output ArcType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, ArcType &enumeration)
| Set ArcType from input stream. More...
bool | operator== (const Binning &lhs, const Binning &rhs)
| Compare two Binning objects for equality. More...
bool | operator== (const Binning &lhs, const Binning::enum_value &rhs)
| Compare Binning object and enum value for equality. More...
bool | operator== (const Binning::enum_value &lhs, const Binning &rhs)
| Compare enum value and Binning for equality. More...
bool | operator== (const Binning &lhs, const std::string &rhs)
| Compare Binning object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const Binning &rhs)
| Compare enum string value and Binning object for equality. More...
bool | operator!= (const Binning &lhs, const Binning &rhs)
| Compare two Binning objects for non-equality. More...
bool | operator!= (const Binning &lhs, const Binning::enum_value &rhs)
| Compare Binning object and enum value for non-equality. More...
bool | operator!= (const Binning::enum_value &lhs, const Binning &rhs)
| Compare enum value and Binning object for non-equality. More...
bool | operator!= (const Binning &lhs, const std::string &rhs)
| Compare Binning object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const Binning &rhs)
| Compare enum string value and Binning object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Binning &enumeration)
| Output Binning to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Binning &enumeration)
| Set Binning from input stream. More...
bool | operator== (const Compression &lhs, const Compression &rhs)
| Compare two Compression objects for equality. More...
bool | operator== (const Compression &lhs, const Compression::enum_value &rhs)
| Compare Compression object and enum value for equality. More...
bool | operator== (const Compression::enum_value &lhs, const Compression &rhs)
| Compare enum value and Compression for equality. More...
bool | operator== (const Compression &lhs, const std::string &rhs)
| Compare Compression object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const Compression &rhs)
| Compare enum string value and Compression object for equality. More...
bool | operator!= (const Compression &lhs, const Compression &rhs)
| Compare two Compression objects for non-equality. More...
bool | operator!= (const Compression &lhs, const Compression::enum_value &rhs)
| Compare Compression object and enum value for non-equality. More...
bool | operator!= (const Compression::enum_value &lhs, const Compression &rhs)
| Compare enum value and Compression object for non-equality. More...
bool | operator!= (const Compression &lhs, const std::string &rhs)
| Compare Compression object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const Compression &rhs)
| Compare enum string value and Compression object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Compression &enumeration)
| Output Compression to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Compression &enumeration)
| Set Compression from input stream. More...
bool | operator== (const ContrastMethod &lhs, const ContrastMethod &rhs)
| Compare two ContrastMethod objects for equality. More...
bool | operator== (const ContrastMethod &lhs, const ContrastMethod::enum_value &rhs)
| Compare ContrastMethod object and enum value for equality. More...
bool | operator== (const ContrastMethod::enum_value &lhs, const ContrastMethod &rhs)
| Compare enum value and ContrastMethod for equality. More...
bool | operator== (const ContrastMethod &lhs, const std::string &rhs)
| Compare ContrastMethod object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const ContrastMethod &rhs)
| Compare enum string value and ContrastMethod object for equality. More...
bool | operator!= (const ContrastMethod &lhs, const ContrastMethod &rhs)
| Compare two ContrastMethod objects for non-equality. More...
bool | operator!= (const ContrastMethod &lhs, const ContrastMethod::enum_value &rhs)
| Compare ContrastMethod object and enum value for non-equality. More...
bool | operator!= (const ContrastMethod::enum_value &lhs, const ContrastMethod &rhs)
| Compare enum value and ContrastMethod object for non-equality. More...
bool | operator!= (const ContrastMethod &lhs, const std::string &rhs)
| Compare ContrastMethod object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const ContrastMethod &rhs)
| Compare enum string value and ContrastMethod object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const ContrastMethod &enumeration)
| Output ContrastMethod to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, ContrastMethod &enumeration)
| Set ContrastMethod from input stream. More...
bool | operator== (const Correction &lhs, const Correction &rhs)
| Compare two Correction objects for equality. More...
bool | operator== (const Correction &lhs, const Correction::enum_value &rhs)
| Compare Correction object and enum value for equality. More...
bool | operator== (const Correction::enum_value &lhs, const Correction &rhs)
| Compare enum value and Correction for equality. More...
bool | operator== (const Correction &lhs, const std::string &rhs)
| Compare Correction object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const Correction &rhs)
| Compare enum string value and Correction object for equality. More...
bool | operator!= (const Correction &lhs, const Correction &rhs)
| Compare two Correction objects for non-equality. More...
bool | operator!= (const Correction &lhs, const Correction::enum_value &rhs)
| Compare Correction object and enum value for non-equality. More...
bool | operator!= (const Correction::enum_value &lhs, const Correction &rhs)
| Compare enum value and Correction object for non-equality. More...
bool | operator!= (const Correction &lhs, const std::string &rhs)
| Compare Correction object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const Correction &rhs)
| Compare enum string value and Correction object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Correction &enumeration)
| Output Correction to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Correction &enumeration)
| Set Correction from input stream. More...
bool | operator== (const DetectorType &lhs, const DetectorType &rhs)
| Compare two DetectorType objects for equality. More...
bool | operator== (const DetectorType &lhs, const DetectorType::enum_value &rhs)
| Compare DetectorType object and enum value for equality. More...
bool | operator== (const DetectorType::enum_value &lhs, const DetectorType &rhs)
| Compare enum value and DetectorType for equality. More...
bool | operator== (const DetectorType &lhs, const std::string &rhs)
| Compare DetectorType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const DetectorType &rhs)
| Compare enum string value and DetectorType object for equality. More...
bool | operator!= (const DetectorType &lhs, const DetectorType &rhs)
| Compare two DetectorType objects for non-equality. More...
bool | operator!= (const DetectorType &lhs, const DetectorType::enum_value &rhs)
| Compare DetectorType object and enum value for non-equality. More...
bool | operator!= (const DetectorType::enum_value &lhs, const DetectorType &rhs)
| Compare enum value and DetectorType object for non-equality. More...
bool | operator!= (const DetectorType &lhs, const std::string &rhs)
| Compare DetectorType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const DetectorType &rhs)
| Compare enum string value and DetectorType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const DetectorType &enumeration)
| Output DetectorType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, DetectorType &enumeration)
| Set DetectorType from input stream. More...
bool | operator== (const DimensionOrder &lhs, const DimensionOrder &rhs)
| Compare two DimensionOrder objects for equality. More...
bool | operator== (const DimensionOrder &lhs, const DimensionOrder::enum_value &rhs)
| Compare DimensionOrder object and enum value for equality. More...
bool | operator== (const DimensionOrder::enum_value &lhs, const DimensionOrder &rhs)
| Compare enum value and DimensionOrder for equality. More...
bool | operator== (const DimensionOrder &lhs, const std::string &rhs)
| Compare DimensionOrder object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const DimensionOrder &rhs)
| Compare enum string value and DimensionOrder object for equality. More...
bool | operator!= (const DimensionOrder &lhs, const DimensionOrder &rhs)
| Compare two DimensionOrder objects for non-equality. More...
bool | operator!= (const DimensionOrder &lhs, const DimensionOrder::enum_value &rhs)
| Compare DimensionOrder object and enum value for non-equality. More...
bool | operator!= (const DimensionOrder::enum_value &lhs, const DimensionOrder &rhs)
| Compare enum value and DimensionOrder object for non-equality. More...
bool | operator!= (const DimensionOrder &lhs, const std::string &rhs)
| Compare DimensionOrder object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const DimensionOrder &rhs)
| Compare enum string value and DimensionOrder object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const DimensionOrder &enumeration)
| Output DimensionOrder to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, DimensionOrder &enumeration)
| Set DimensionOrder from input stream. More...
bool | operator== (const ExperimentType &lhs, const ExperimentType &rhs)
| Compare two ExperimentType objects for equality. More...
bool | operator== (const ExperimentType &lhs, const ExperimentType::enum_value &rhs)
| Compare ExperimentType object and enum value for equality. More...
bool | operator== (const ExperimentType::enum_value &lhs, const ExperimentType &rhs)
| Compare enum value and ExperimentType for equality. More...
bool | operator== (const ExperimentType &lhs, const std::string &rhs)
| Compare ExperimentType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const ExperimentType &rhs)
| Compare enum string value and ExperimentType object for equality. More...
bool | operator!= (const ExperimentType &lhs, const ExperimentType &rhs)
| Compare two ExperimentType objects for non-equality. More...
bool | operator!= (const ExperimentType &lhs, const ExperimentType::enum_value &rhs)
| Compare ExperimentType object and enum value for non-equality. More...
bool | operator!= (const ExperimentType::enum_value &lhs, const ExperimentType &rhs)
| Compare enum value and ExperimentType object for non-equality. More...
bool | operator!= (const ExperimentType &lhs, const std::string &rhs)
| Compare ExperimentType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const ExperimentType &rhs)
| Compare enum string value and ExperimentType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const ExperimentType &enumeration)
| Output ExperimentType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, ExperimentType &enumeration)
| Set ExperimentType from input stream. More...
bool | operator== (const FilamentType &lhs, const FilamentType &rhs)
| Compare two FilamentType objects for equality. More...
bool | operator== (const FilamentType &lhs, const FilamentType::enum_value &rhs)
| Compare FilamentType object and enum value for equality. More...
bool | operator== (const FilamentType::enum_value &lhs, const FilamentType &rhs)
| Compare enum value and FilamentType for equality. More...
bool | operator== (const FilamentType &lhs, const std::string &rhs)
| Compare FilamentType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const FilamentType &rhs)
| Compare enum string value and FilamentType object for equality. More...
bool | operator!= (const FilamentType &lhs, const FilamentType &rhs)
| Compare two FilamentType objects for non-equality. More...
bool | operator!= (const FilamentType &lhs, const FilamentType::enum_value &rhs)
| Compare FilamentType object and enum value for non-equality. More...
bool | operator!= (const FilamentType::enum_value &lhs, const FilamentType &rhs)
| Compare enum value and FilamentType object for non-equality. More...
bool | operator!= (const FilamentType &lhs, const std::string &rhs)
| Compare FilamentType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const FilamentType &rhs)
| Compare enum string value and FilamentType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const FilamentType &enumeration)
| Output FilamentType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, FilamentType &enumeration)
| Set FilamentType from input stream. More...
bool | operator== (const FillRule &lhs, const FillRule &rhs)
| Compare two FillRule objects for equality. More...
bool | operator== (const FillRule &lhs, const FillRule::enum_value &rhs)
| Compare FillRule object and enum value for equality. More...
bool | operator== (const FillRule::enum_value &lhs, const FillRule &rhs)
| Compare enum value and FillRule for equality. More...
bool | operator== (const FillRule &lhs, const std::string &rhs)
| Compare FillRule object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const FillRule &rhs)
| Compare enum string value and FillRule object for equality. More...
bool | operator!= (const FillRule &lhs, const FillRule &rhs)
| Compare two FillRule objects for non-equality. More...
bool | operator!= (const FillRule &lhs, const FillRule::enum_value &rhs)
| Compare FillRule object and enum value for non-equality. More...
bool | operator!= (const FillRule::enum_value &lhs, const FillRule &rhs)
| Compare enum value and FillRule object for non-equality. More...
bool | operator!= (const FillRule &lhs, const std::string &rhs)
| Compare FillRule object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const FillRule &rhs)
| Compare enum string value and FillRule object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const FillRule &enumeration)
| Output FillRule to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, FillRule &enumeration)
| Set FillRule from input stream. More...
bool | operator== (const FilterType &lhs, const FilterType &rhs)
| Compare two FilterType objects for equality. More...
bool | operator== (const FilterType &lhs, const FilterType::enum_value &rhs)
| Compare FilterType object and enum value for equality. More...
bool | operator== (const FilterType::enum_value &lhs, const FilterType &rhs)
| Compare enum value and FilterType for equality. More...
bool | operator== (const FilterType &lhs, const std::string &rhs)
| Compare FilterType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const FilterType &rhs)
| Compare enum string value and FilterType object for equality. More...
bool | operator!= (const FilterType &lhs, const FilterType &rhs)
| Compare two FilterType objects for non-equality. More...
bool | operator!= (const FilterType &lhs, const FilterType::enum_value &rhs)
| Compare FilterType object and enum value for non-equality. More...
bool | operator!= (const FilterType::enum_value &lhs, const FilterType &rhs)
| Compare enum value and FilterType object for non-equality. More...
bool | operator!= (const FilterType &lhs, const std::string &rhs)
| Compare FilterType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const FilterType &rhs)
| Compare enum string value and FilterType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const FilterType &enumeration)
| Output FilterType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, FilterType &enumeration)
| Set FilterType from input stream. More...
bool | operator== (const FontFamily &lhs, const FontFamily &rhs)
| Compare two FontFamily objects for equality. More...
bool | operator== (const FontFamily &lhs, const FontFamily::enum_value &rhs)
| Compare FontFamily object and enum value for equality. More...
bool | operator== (const FontFamily::enum_value &lhs, const FontFamily &rhs)
| Compare enum value and FontFamily for equality. More...
bool | operator== (const FontFamily &lhs, const std::string &rhs)
| Compare FontFamily object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const FontFamily &rhs)
| Compare enum string value and FontFamily object for equality. More...
bool | operator!= (const FontFamily &lhs, const FontFamily &rhs)
| Compare two FontFamily objects for non-equality. More...
bool | operator!= (const FontFamily &lhs, const FontFamily::enum_value &rhs)
| Compare FontFamily object and enum value for non-equality. More...
bool | operator!= (const FontFamily::enum_value &lhs, const FontFamily &rhs)
| Compare enum value and FontFamily object for non-equality. More...
bool | operator!= (const FontFamily &lhs, const std::string &rhs)
| Compare FontFamily object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const FontFamily &rhs)
| Compare enum string value and FontFamily object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const FontFamily &enumeration)
| Output FontFamily to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, FontFamily &enumeration)
| Set FontFamily from input stream. More...
bool | operator== (const FontStyle &lhs, const FontStyle &rhs)
| Compare two FontStyle objects for equality. More...
bool | operator== (const FontStyle &lhs, const FontStyle::enum_value &rhs)
| Compare FontStyle object and enum value for equality. More...
bool | operator== (const FontStyle::enum_value &lhs, const FontStyle &rhs)
| Compare enum value and FontStyle for equality. More...
bool | operator== (const FontStyle &lhs, const std::string &rhs)
| Compare FontStyle object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const FontStyle &rhs)
| Compare enum string value and FontStyle object for equality. More...
bool | operator!= (const FontStyle &lhs, const FontStyle &rhs)
| Compare two FontStyle objects for non-equality. More...
bool | operator!= (const FontStyle &lhs, const FontStyle::enum_value &rhs)
| Compare FontStyle object and enum value for non-equality. More...
bool | operator!= (const FontStyle::enum_value &lhs, const FontStyle &rhs)
| Compare enum value and FontStyle object for non-equality. More...
bool | operator!= (const FontStyle &lhs, const std::string &rhs)
| Compare FontStyle object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const FontStyle &rhs)
| Compare enum string value and FontStyle object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const FontStyle &enumeration)
| Output FontStyle to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, FontStyle &enumeration)
| Set FontStyle from input stream. More...
bool | operator== (const IlluminationType &lhs, const IlluminationType &rhs)
| Compare two IlluminationType objects for equality. More...
bool | operator== (const IlluminationType &lhs, const IlluminationType::enum_value &rhs)
| Compare IlluminationType object and enum value for equality. More...
bool | operator== (const IlluminationType::enum_value &lhs, const IlluminationType &rhs)
| Compare enum value and IlluminationType for equality. More...
bool | operator== (const IlluminationType &lhs, const std::string &rhs)
| Compare IlluminationType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const IlluminationType &rhs)
| Compare enum string value and IlluminationType object for equality. More...
bool | operator!= (const IlluminationType &lhs, const IlluminationType &rhs)
| Compare two IlluminationType objects for non-equality. More...
bool | operator!= (const IlluminationType &lhs, const IlluminationType::enum_value &rhs)
| Compare IlluminationType object and enum value for non-equality. More...
bool | operator!= (const IlluminationType::enum_value &lhs, const IlluminationType &rhs)
| Compare enum value and IlluminationType object for non-equality. More...
bool | operator!= (const IlluminationType &lhs, const std::string &rhs)
| Compare IlluminationType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const IlluminationType &rhs)
| Compare enum string value and IlluminationType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const IlluminationType &enumeration)
| Output IlluminationType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, IlluminationType &enumeration)
| Set IlluminationType from input stream. More...
bool | operator== (const Immersion &lhs, const Immersion &rhs)
| Compare two Immersion objects for equality. More...
bool | operator== (const Immersion &lhs, const Immersion::enum_value &rhs)
| Compare Immersion object and enum value for equality. More...
bool | operator== (const Immersion::enum_value &lhs, const Immersion &rhs)
| Compare enum value and Immersion for equality. More...
bool | operator== (const Immersion &lhs, const std::string &rhs)
| Compare Immersion object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const Immersion &rhs)
| Compare enum string value and Immersion object for equality. More...
bool | operator!= (const Immersion &lhs, const Immersion &rhs)
| Compare two Immersion objects for non-equality. More...
bool | operator!= (const Immersion &lhs, const Immersion::enum_value &rhs)
| Compare Immersion object and enum value for non-equality. More...
bool | operator!= (const Immersion::enum_value &lhs, const Immersion &rhs)
| Compare enum value and Immersion object for non-equality. More...
bool | operator!= (const Immersion &lhs, const std::string &rhs)
| Compare Immersion object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const Immersion &rhs)
| Compare enum string value and Immersion object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Immersion &enumeration)
| Output Immersion to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Immersion &enumeration)
| Set Immersion from input stream. More...
bool | operator== (const LaserMedium &lhs, const LaserMedium &rhs)
| Compare two LaserMedium objects for equality. More...
bool | operator== (const LaserMedium &lhs, const LaserMedium::enum_value &rhs)
| Compare LaserMedium object and enum value for equality. More...
bool | operator== (const LaserMedium::enum_value &lhs, const LaserMedium &rhs)
| Compare enum value and LaserMedium for equality. More...
bool | operator== (const LaserMedium &lhs, const std::string &rhs)
| Compare LaserMedium object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const LaserMedium &rhs)
| Compare enum string value and LaserMedium object for equality. More...
bool | operator!= (const LaserMedium &lhs, const LaserMedium &rhs)
| Compare two LaserMedium objects for non-equality. More...
bool | operator!= (const LaserMedium &lhs, const LaserMedium::enum_value &rhs)
| Compare LaserMedium object and enum value for non-equality. More...
bool | operator!= (const LaserMedium::enum_value &lhs, const LaserMedium &rhs)
| Compare enum value and LaserMedium object for non-equality. More...
bool | operator!= (const LaserMedium &lhs, const std::string &rhs)
| Compare LaserMedium object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const LaserMedium &rhs)
| Compare enum string value and LaserMedium object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const LaserMedium &enumeration)
| Output LaserMedium to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, LaserMedium &enumeration)
| Set LaserMedium from input stream. More...
bool | operator== (const LaserType &lhs, const LaserType &rhs)
| Compare two LaserType objects for equality. More...
bool | operator== (const LaserType &lhs, const LaserType::enum_value &rhs)
| Compare LaserType object and enum value for equality. More...
bool | operator== (const LaserType::enum_value &lhs, const LaserType &rhs)
| Compare enum value and LaserType for equality. More...
bool | operator== (const LaserType &lhs, const std::string &rhs)
| Compare LaserType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const LaserType &rhs)
| Compare enum string value and LaserType object for equality. More...
bool | operator!= (const LaserType &lhs, const LaserType &rhs)
| Compare two LaserType objects for non-equality. More...
bool | operator!= (const LaserType &lhs, const LaserType::enum_value &rhs)
| Compare LaserType object and enum value for non-equality. More...
bool | operator!= (const LaserType::enum_value &lhs, const LaserType &rhs)
| Compare enum value and LaserType object for non-equality. More...
bool | operator!= (const LaserType &lhs, const std::string &rhs)
| Compare LaserType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const LaserType &rhs)
| Compare enum string value and LaserType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const LaserType &enumeration)
| Output LaserType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, LaserType &enumeration)
| Set LaserType from input stream. More...
bool | operator== (const LineCap &lhs, const LineCap &rhs)
| Compare two LineCap objects for equality. More...
bool | operator== (const LineCap &lhs, const LineCap::enum_value &rhs)
| Compare LineCap object and enum value for equality. More...
bool | operator== (const LineCap::enum_value &lhs, const LineCap &rhs)
| Compare enum value and LineCap for equality. More...
bool | operator== (const LineCap &lhs, const std::string &rhs)
| Compare LineCap object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const LineCap &rhs)
| Compare enum string value and LineCap object for equality. More...
bool | operator!= (const LineCap &lhs, const LineCap &rhs)
| Compare two LineCap objects for non-equality. More...
bool | operator!= (const LineCap &lhs, const LineCap::enum_value &rhs)
| Compare LineCap object and enum value for non-equality. More...
bool | operator!= (const LineCap::enum_value &lhs, const LineCap &rhs)
| Compare enum value and LineCap object for non-equality. More...
bool | operator!= (const LineCap &lhs, const std::string &rhs)
| Compare LineCap object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const LineCap &rhs)
| Compare enum string value and LineCap object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const LineCap &enumeration)
| Output LineCap to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, LineCap &enumeration)
| Set LineCap from input stream. More...
bool | operator== (const Marker &lhs, const Marker &rhs)
| Compare two Marker objects for equality. More...
bool | operator== (const Marker &lhs, const Marker::enum_value &rhs)
| Compare Marker object and enum value for equality. More...
bool | operator== (const Marker::enum_value &lhs, const Marker &rhs)
| Compare enum value and Marker for equality. More...
bool | operator== (const Marker &lhs, const std::string &rhs)
| Compare Marker object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const Marker &rhs)
| Compare enum string value and Marker object for equality. More...
bool | operator!= (const Marker &lhs, const Marker &rhs)
| Compare two Marker objects for non-equality. More...
bool | operator!= (const Marker &lhs, const Marker::enum_value &rhs)
| Compare Marker object and enum value for non-equality. More...
bool | operator!= (const Marker::enum_value &lhs, const Marker &rhs)
| Compare enum value and Marker object for non-equality. More...
bool | operator!= (const Marker &lhs, const std::string &rhs)
| Compare Marker object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const Marker &rhs)
| Compare enum string value and Marker object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Marker &enumeration)
| Output Marker to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Marker &enumeration)
| Set Marker from input stream. More...
bool | operator== (const Medium &lhs, const Medium &rhs)
| Compare two Medium objects for equality. More...
bool | operator== (const Medium &lhs, const Medium::enum_value &rhs)
| Compare Medium object and enum value for equality. More...
bool | operator== (const Medium::enum_value &lhs, const Medium &rhs)
| Compare enum value and Medium for equality. More...
bool | operator== (const Medium &lhs, const std::string &rhs)
| Compare Medium object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const Medium &rhs)
| Compare enum string value and Medium object for equality. More...
bool | operator!= (const Medium &lhs, const Medium &rhs)
| Compare two Medium objects for non-equality. More...
bool | operator!= (const Medium &lhs, const Medium::enum_value &rhs)
| Compare Medium object and enum value for non-equality. More...
bool | operator!= (const Medium::enum_value &lhs, const Medium &rhs)
| Compare enum value and Medium object for non-equality. More...
bool | operator!= (const Medium &lhs, const std::string &rhs)
| Compare Medium object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const Medium &rhs)
| Compare enum string value and Medium object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Medium &enumeration)
| Output Medium to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Medium &enumeration)
| Set Medium from input stream. More...
bool | operator== (const MicrobeamManipulationType &lhs, const MicrobeamManipulationType &rhs)
| Compare two MicrobeamManipulationType objects for equality. More...
bool | operator== (const MicrobeamManipulationType &lhs, const MicrobeamManipulationType::enum_value &rhs)
| Compare MicrobeamManipulationType object and enum value for equality. More...
bool | operator== (const MicrobeamManipulationType::enum_value &lhs, const MicrobeamManipulationType &rhs)
| Compare enum value and MicrobeamManipulationType for equality. More...
bool | operator== (const MicrobeamManipulationType &lhs, const std::string &rhs)
| Compare MicrobeamManipulationType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const MicrobeamManipulationType &rhs)
| Compare enum string value and MicrobeamManipulationType object for equality. More...
bool | operator!= (const MicrobeamManipulationType &lhs, const MicrobeamManipulationType &rhs)
| Compare two MicrobeamManipulationType objects for non-equality. More...
bool | operator!= (const MicrobeamManipulationType &lhs, const MicrobeamManipulationType::enum_value &rhs)
| Compare MicrobeamManipulationType object and enum value for non-equality. More...
bool | operator!= (const MicrobeamManipulationType::enum_value &lhs, const MicrobeamManipulationType &rhs)
| Compare enum value and MicrobeamManipulationType object for non-equality. More...
bool | operator!= (const MicrobeamManipulationType &lhs, const std::string &rhs)
| Compare MicrobeamManipulationType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const MicrobeamManipulationType &rhs)
| Compare enum string value and MicrobeamManipulationType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const MicrobeamManipulationType &enumeration)
| Output MicrobeamManipulationType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, MicrobeamManipulationType &enumeration)
| Set MicrobeamManipulationType from input stream. More...
bool | operator== (const MicroscopeType &lhs, const MicroscopeType &rhs)
| Compare two MicroscopeType objects for equality. More...
bool | operator== (const MicroscopeType &lhs, const MicroscopeType::enum_value &rhs)
| Compare MicroscopeType object and enum value for equality. More...
bool | operator== (const MicroscopeType::enum_value &lhs, const MicroscopeType &rhs)
| Compare enum value and MicroscopeType for equality. More...
bool | operator== (const MicroscopeType &lhs, const std::string &rhs)
| Compare MicroscopeType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const MicroscopeType &rhs)
| Compare enum string value and MicroscopeType object for equality. More...
bool | operator!= (const MicroscopeType &lhs, const MicroscopeType &rhs)
| Compare two MicroscopeType objects for non-equality. More...
bool | operator!= (const MicroscopeType &lhs, const MicroscopeType::enum_value &rhs)
| Compare MicroscopeType object and enum value for non-equality. More...
bool | operator!= (const MicroscopeType::enum_value &lhs, const MicroscopeType &rhs)
| Compare enum value and MicroscopeType object for non-equality. More...
bool | operator!= (const MicroscopeType &lhs, const std::string &rhs)
| Compare MicroscopeType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const MicroscopeType &rhs)
| Compare enum string value and MicroscopeType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const MicroscopeType &enumeration)
| Output MicroscopeType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, MicroscopeType &enumeration)
| Set MicroscopeType from input stream. More...
bool | operator== (const NamingConvention &lhs, const NamingConvention &rhs)
| Compare two NamingConvention objects for equality. More...
bool | operator== (const NamingConvention &lhs, const NamingConvention::enum_value &rhs)
| Compare NamingConvention object and enum value for equality. More...
bool | operator== (const NamingConvention::enum_value &lhs, const NamingConvention &rhs)
| Compare enum value and NamingConvention for equality. More...
bool | operator== (const NamingConvention &lhs, const std::string &rhs)
| Compare NamingConvention object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const NamingConvention &rhs)
| Compare enum string value and NamingConvention object for equality. More...
bool | operator!= (const NamingConvention &lhs, const NamingConvention &rhs)
| Compare two NamingConvention objects for non-equality. More...
bool | operator!= (const NamingConvention &lhs, const NamingConvention::enum_value &rhs)
| Compare NamingConvention object and enum value for non-equality. More...
bool | operator!= (const NamingConvention::enum_value &lhs, const NamingConvention &rhs)
| Compare enum value and NamingConvention object for non-equality. More...
bool | operator!= (const NamingConvention &lhs, const std::string &rhs)
| Compare NamingConvention object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const NamingConvention &rhs)
| Compare enum string value and NamingConvention object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const NamingConvention &enumeration)
| Output NamingConvention to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, NamingConvention &enumeration)
| Set NamingConvention from input stream. More...
bool | operator== (const PixelType &lhs, const PixelType &rhs)
| Compare two PixelType objects for equality. More...
bool | operator== (const PixelType &lhs, const PixelType::enum_value &rhs)
| Compare PixelType object and enum value for equality. More...
bool | operator== (const PixelType::enum_value &lhs, const PixelType &rhs)
| Compare enum value and PixelType for equality. More...
bool | operator== (const PixelType &lhs, const std::string &rhs)
| Compare PixelType object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const PixelType &rhs)
| Compare enum string value and PixelType object for equality. More...
bool | operator!= (const PixelType &lhs, const PixelType &rhs)
| Compare two PixelType objects for non-equality. More...
bool | operator!= (const PixelType &lhs, const PixelType::enum_value &rhs)
| Compare PixelType object and enum value for non-equality. More...
bool | operator!= (const PixelType::enum_value &lhs, const PixelType &rhs)
| Compare enum value and PixelType object for non-equality. More...
bool | operator!= (const PixelType &lhs, const std::string &rhs)
| Compare PixelType object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const PixelType &rhs)
| Compare enum string value and PixelType object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const PixelType &enumeration)
| Output PixelType to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, PixelType &enumeration)
| Set PixelType from input stream. More...
bool | operator== (const Pulse &lhs, const Pulse &rhs)
| Compare two Pulse objects for equality. More...
bool | operator== (const Pulse &lhs, const Pulse::enum_value &rhs)
| Compare Pulse object and enum value for equality. More...
bool | operator== (const Pulse::enum_value &lhs, const Pulse &rhs)
| Compare enum value and Pulse for equality. More...
bool | operator== (const Pulse &lhs, const std::string &rhs)
| Compare Pulse object and enum string value for equality. More...
bool | operator== (const std::string &lhs, const Pulse &rhs)
| Compare enum string value and Pulse object for equality. More...
bool | operator!= (const Pulse &lhs, const Pulse &rhs)
| Compare two Pulse objects for non-equality. More...
bool | operator!= (const Pulse &lhs, const Pulse::enum_value &rhs)
| Compare Pulse object and enum value for non-equality. More...
bool | operator!= (const Pulse::enum_value &lhs, const Pulse &rhs)
| Compare enum value and Pulse object for non-equality. More...
bool | operator!= (const Pulse &lhs, const std::string &rhs)
| Compare Pulse object and enum string value for non-equality. More...
bool | operator!= (const std::string &lhs, const Pulse &rhs)
| Compare enum string value and Pulse object for non-equality. More...
template<class charT , class traits >
std::basic_ostream< charT, traits > & | operator<< (std::basic_ostream< charT, traits > &os, const Pulse &enumeration)
| Output Pulse to output stream. More...
template<class charT , class traits >
std::basic_istream< charT, traits > & | operator>> (std::basic_istream< charT, traits > &is, Pulse &enumeration)
| Set Pulse from input stream. More...

## Detailed Description

Model enumerations.

All the classes in this namespace are enum classes providing enum-like functionality. They are not C++ enums, but each class contains a C++ enum together with the necessary logic for conversion to and from string and enum values.

## Function Documentation

bool ome::xml::model::enums::operator!= | ( | const FillRule & | lhs,
|  | const FillRule & | rhs
| ) |  |
| inline

Compare two FillRule objects for non-equality.

Parameters

  lhs | a FillRule object.
  rhs | a FillRule object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const NamingConvention & | lhs,
|  | const NamingConvention & | rhs
| ) |  |
| inline

Compare two NamingConvention objects for non-equality.

Parameters

  lhs | a NamingConvention object.
  rhs | a NamingConvention object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Compression & | lhs,
|  | const Compression & | rhs
| ) |  |
| inline

Compare two Compression objects for non-equality.

Parameters

  lhs | a Compression object.
  rhs | a Compression object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LineCap & | lhs,
|  | const LineCap & | rhs
| ) |  |
| inline

Compare two LineCap objects for non-equality.

Parameters

  lhs | a LineCap object.
  rhs | a LineCap object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FilamentType & | lhs,
|  | const FilamentType & | rhs
| ) |  |
| inline

Compare two FilamentType objects for non-equality.

Parameters

  lhs | a FilamentType object.
  rhs | a FilamentType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Marker & | lhs,
|  | const Marker & | rhs
| ) |  |
| inline

Compare two Marker objects for non-equality.

Parameters

  lhs | a Marker object.
  rhs | a Marker object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ArcType & | lhs,
|  | const ArcType & | rhs
| ) |  |
| inline

Compare two ArcType objects for non-equality.

Parameters

  lhs | a ArcType object.
  rhs | a ArcType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FontStyle & | lhs,
|  | const FontStyle & | rhs
| ) |  |
| inline

Compare two FontStyle objects for non-equality.

Parameters

  lhs | a FontStyle object.
  rhs | a FontStyle object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FontFamily & | lhs,
|  | const FontFamily & | rhs
| ) |  |
| inline

Compare two FontFamily objects for non-equality.

Parameters

  lhs | a FontFamily object.
  rhs | a FontFamily object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const MicroscopeType & | lhs,
|  | const MicroscopeType & | rhs
| ) |  |
| inline

Compare two MicroscopeType objects for non-equality.

Parameters

  lhs | a MicroscopeType object.
  rhs | a MicroscopeType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const IlluminationType & | lhs,
|  | const IlluminationType & | rhs
| ) |  |
| inline

Compare two IlluminationType objects for non-equality.

Parameters

  lhs | a IlluminationType object.
  rhs | a IlluminationType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Binning & | lhs,
|  | const Binning & | rhs
| ) |  |
| inline

Compare two Binning objects for non-equality.

Parameters

  lhs | a Binning object.
  rhs | a Binning object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Medium & | lhs,
|  | const Medium & | rhs
| ) |  |
| inline

Compare two Medium objects for non-equality.

Parameters

  lhs | a Medium object.
  rhs | a Medium object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Pulse & | lhs,
|  | const Pulse & | rhs
| ) |  |
| inline

Compare two Pulse objects for non-equality.

Parameters

  lhs | a Pulse object.
  rhs | a Pulse object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const DimensionOrder & | lhs,
|  | const DimensionOrder & | rhs
| ) |  |
| inline

Compare two DimensionOrder objects for non-equality.

Parameters

  lhs | a DimensionOrder object.
  rhs | a DimensionOrder object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Immersion & | lhs,
|  | const Immersion & | rhs
| ) |  |
| inline

Compare two Immersion objects for non-equality.

Parameters

  lhs | a Immersion object.
  rhs | a Immersion object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const MicrobeamManipulationType & | lhs,
|  | const MicrobeamManipulationType & | rhs
| ) |  |
| inline

Compare two MicrobeamManipulationType objects for non-equality.

Parameters

  lhs | a MicrobeamManipulationType object.
  rhs | a MicrobeamManipulationType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FilterType & | lhs,
|  | const FilterType & | rhs
| ) |  |
| inline

Compare two FilterType objects for non-equality.

Parameters

  lhs | a FilterType object.
  rhs | a FilterType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LaserType & | lhs,
|  | const LaserType & | rhs
| ) |  |
| inline

Compare two LaserType objects for non-equality.

Parameters

  lhs | a LaserType object.
  rhs | a LaserType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const NamingConvention & | lhs,
|  | const NamingConvention::enum_value & | rhs
| ) |  |
| inline

Compare NamingConvention object and enum value for non-equality.

Parameters

  lhs | a NamingConvention object.
  rhs | a NamingConvention enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ContrastMethod & | lhs,
|  | const ContrastMethod & | rhs
| ) |  |
| inline

Compare two ContrastMethod objects for non-equality.

Parameters

  lhs | a ContrastMethod object.
  rhs | a ContrastMethod object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FillRule & | lhs,
|  | const FillRule::enum_value & | rhs
| ) |  |
| inline

Compare FillRule object and enum value for non-equality.

Parameters

  lhs | a FillRule object.
  rhs | a FillRule enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Compression & | lhs,
|  | const Compression::enum_value & | rhs
| ) |  |
| inline

Compare Compression object and enum value for non-equality.

Parameters

  lhs | a Compression object.
  rhs | a Compression enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LineCap & | lhs,
|  | const LineCap::enum_value & | rhs
| ) |  |
| inline

Compare LineCap object and enum value for non-equality.

Parameters

  lhs | a LineCap object.
  rhs | a LineCap enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FilamentType & | lhs,
|  | const FilamentType::enum_value & | rhs
| ) |  |
| inline

Compare FilamentType object and enum value for non-equality.

Parameters

  lhs | a FilamentType object.
  rhs | a FilamentType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Marker & | lhs,
|  | const Marker::enum_value & | rhs
| ) |  |
| inline

Compare Marker object and enum value for non-equality.

Parameters

  lhs | a Marker object.
  rhs | a Marker enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const PixelType & | lhs,
|  | const PixelType & | rhs
| ) |  |
| inline

Compare two PixelType objects for non-equality.

Parameters

  lhs | a PixelType object.
  rhs | a PixelType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ArcType & | lhs,
|  | const ArcType::enum_value & | rhs
| ) |  |
| inline

Compare ArcType object and enum value for non-equality.

Parameters

  lhs | a ArcType object.
  rhs | a ArcType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FontStyle & | lhs,
|  | const FontStyle::enum_value & | rhs
| ) |  |
| inline

Compare FontStyle object and enum value for non-equality.

Parameters

  lhs | a FontStyle object.
  rhs | a FontStyle enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const MicroscopeType & | lhs,
|  | const MicroscopeType::enum_value & | rhs
| ) |  |
| inline

Compare MicroscopeType object and enum value for non-equality.

Parameters

  lhs | a MicroscopeType object.
  rhs | a MicroscopeType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FontFamily & | lhs,
|  | const FontFamily::enum_value & | rhs
| ) |  |
| inline

Compare FontFamily object and enum value for non-equality.

Parameters

  lhs | a FontFamily object.
  rhs | a FontFamily enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const IlluminationType & | lhs,
|  | const IlluminationType::enum_value & | rhs
| ) |  |
| inline

Compare IlluminationType object and enum value for non-equality.

Parameters

  lhs | a IlluminationType object.
  rhs | a IlluminationType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Binning & | lhs,
|  | const Binning::enum_value & | rhs
| ) |  |
| inline

Compare Binning object and enum value for non-equality.

Parameters

  lhs | a Binning object.
  rhs | a Binning enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Medium & | lhs,
|  | const Medium::enum_value & | rhs
| ) |  |
| inline

Compare Medium object and enum value for non-equality.

Parameters

  lhs | a Medium object.
  rhs | a Medium enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Pulse & | lhs,
|  | const Pulse::enum_value & | rhs
| ) |  |
| inline

Compare Pulse object and enum value for non-equality.

Parameters

  lhs | a Pulse object.
  rhs | a Pulse enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const DimensionOrder & | lhs,
|  | const DimensionOrder::enum_value & | rhs
| ) |  |
| inline

Compare DimensionOrder object and enum value for non-equality.

Parameters

  lhs | a DimensionOrder object.
  rhs | a DimensionOrder enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const DetectorType & | lhs,
|  | const DetectorType & | rhs
| ) |  |
| inline

Compare two DetectorType objects for non-equality.

Parameters

  lhs | a DetectorType object.
  rhs | a DetectorType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Immersion & | lhs,
|  | const Immersion::enum_value & | rhs
| ) |  |
| inline

Compare Immersion object and enum value for non-equality.

Parameters

  lhs | a Immersion object.
  rhs | a Immersion enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const MicrobeamManipulationType & | lhs,
|  | const MicrobeamManipulationType::enum_value & | rhs
| ) |  |
| inline

Compare MicrobeamManipulationType object and enum value for non-equality.

Parameters

  lhs | a MicrobeamManipulationType object.
  rhs | a MicrobeamManipulationType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FilterType & | lhs,
|  | const FilterType::enum_value & | rhs
| ) |  |
| inline

Compare FilterType object and enum value for non-equality.

Parameters

  lhs | a FilterType object.
  rhs | a FilterType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Correction & | lhs,
|  | const Correction & | rhs
| ) |  |
| inline

Compare two Correction objects for non-equality.

Parameters

  lhs | a Correction object.
  rhs | a Correction object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LaserType & | lhs,
|  | const LaserType::enum_value & | rhs
| ) |  |
| inline

Compare LaserType object and enum value for non-equality.

Parameters

  lhs | a LaserType object.
  rhs | a LaserType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FillRule::enum_value & | lhs,
|  | const FillRule & | rhs
| ) |  |
| inline

Compare enum value and FillRule object for non-equality.

Parameters

  lhs | a FillRule enum value.
  rhs | a FillRule object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const NamingConvention::enum_value & | lhs,
|  | const NamingConvention & | rhs
| ) |  |
| inline

Compare enum value and NamingConvention object for non-equality.

Parameters

  lhs | a NamingConvention enum value.
  rhs | a NamingConvention object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ContrastMethod & | lhs,
|  | const ContrastMethod::enum_value & | rhs
| ) |  |
| inline

Compare ContrastMethod object and enum value for non-equality.

Parameters

  lhs | a ContrastMethod object.
  rhs | a ContrastMethod enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Compression::enum_value & | lhs,
|  | const Compression & | rhs
| ) |  |
| inline

Compare enum value and Compression object for non-equality.

Parameters

  lhs | a Compression enum value.
  rhs | a Compression object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ExperimentType & | lhs,
|  | const ExperimentType & | rhs
| ) |  |
| inline

Compare two ExperimentType objects for non-equality.

Parameters

  lhs | a ExperimentType object.
  rhs | a ExperimentType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LineCap::enum_value & | lhs,
|  | const LineCap & | rhs
| ) |  |
| inline

Compare enum value and LineCap object for non-equality.

Parameters

  lhs | a LineCap enum value.
  rhs | a LineCap object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FilamentType::enum_value & | lhs,
|  | const FilamentType & | rhs
| ) |  |
| inline

Compare enum value and FilamentType object for non-equality.

Parameters

  lhs | a FilamentType enum value.
  rhs | a FilamentType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Marker::enum_value & | lhs,
|  | const Marker & | rhs
| ) |  |
| inline

Compare enum value and Marker object for non-equality.

Parameters

  lhs | a Marker enum value.
  rhs | a Marker object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const PixelType & | lhs,
|  | const PixelType::enum_value & | rhs
| ) |  |
| inline

Compare PixelType object and enum value for non-equality.

Parameters

  lhs | a PixelType object.
  rhs | a PixelType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FontStyle::enum_value & | lhs,
|  | const FontStyle & | rhs
| ) |  |
| inline

Compare enum value and FontStyle object for non-equality.

Parameters

  lhs | a FontStyle enum value.
  rhs | a FontStyle object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ArcType::enum_value & | lhs,
|  | const ArcType & | rhs
| ) |  |
| inline

Compare enum value and ArcType object for non-equality.

Parameters

  lhs | a ArcType enum value.
  rhs | a ArcType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Binning::enum_value & | lhs,
|  | const Binning & | rhs
| ) |  |
| inline

Compare enum value and Binning object for non-equality.

Parameters

  lhs | a Binning enum value.
  rhs | a Binning object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const MicroscopeType::enum_value & | lhs,
|  | const MicroscopeType & | rhs
| ) |  |
| inline

Compare enum value and MicroscopeType object for non-equality.

Parameters

  lhs | a MicroscopeType enum value.
  rhs | a MicroscopeType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FontFamily::enum_value & | lhs,
|  | const FontFamily & | rhs
| ) |  |
| inline

Compare enum value and FontFamily object for non-equality.

Parameters

  lhs | a FontFamily enum value.
  rhs | a FontFamily object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const IlluminationType::enum_value & | lhs,
|  | const IlluminationType & | rhs
| ) |  |
| inline

Compare enum value and IlluminationType object for non-equality.

Parameters

  lhs | a IlluminationType enum value.
  rhs | a IlluminationType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Medium::enum_value & | lhs,
|  | const Medium & | rhs
| ) |  |
| inline

Compare enum value and Medium object for non-equality.

Parameters

  lhs | a Medium enum value.
  rhs | a Medium object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const AcquisitionMode & | lhs,
|  | const AcquisitionMode & | rhs
| ) |  |
| inline

Compare two AcquisitionMode objects for non-equality.

Parameters

  lhs | a AcquisitionMode object.
  rhs | a AcquisitionMode object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Pulse::enum_value & | lhs,
|  | const Pulse & | rhs
| ) |  |
| inline

Compare enum value and Pulse object for non-equality.

Parameters

  lhs | a Pulse enum value.
  rhs | a Pulse object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const DimensionOrder::enum_value & | lhs,
|  | const DimensionOrder & | rhs
| ) |  |
| inline

Compare enum value and DimensionOrder object for non-equality.

Parameters

  lhs | a DimensionOrder enum value.
  rhs | a DimensionOrder object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const DetectorType & | lhs,
|  | const DetectorType::enum_value & | rhs
| ) |  |
| inline

Compare DetectorType object and enum value for non-equality.

Parameters

  lhs | a DetectorType object.
  rhs | a DetectorType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Immersion::enum_value & | lhs,
|  | const Immersion & | rhs
| ) |  |
| inline

Compare enum value and Immersion object for non-equality.

Parameters

  lhs | a Immersion enum value.
  rhs | a Immersion object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const MicrobeamManipulationType::enum_value & | lhs,
|  | const MicrobeamManipulationType & | rhs
| ) |  |
| inline

Compare enum value and MicrobeamManipulationType object for non-equality.

Parameters

  lhs | a MicrobeamManipulationType enum value.
  rhs | a MicrobeamManipulationType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Correction & | lhs,
|  | const Correction::enum_value & | rhs
| ) |  |
| inline

Compare Correction object and enum value for non-equality.

Parameters

  lhs | a Correction object.
  rhs | a Correction enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FilterType::enum_value & | lhs,
|  | const FilterType & | rhs
| ) |  |
| inline

Compare enum value and FilterType object for non-equality.

Parameters

  lhs | a FilterType enum value.
  rhs | a FilterType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LaserType::enum_value & | lhs,
|  | const LaserType & | rhs
| ) |  |
| inline

Compare enum value and LaserType object for non-equality.

Parameters

  lhs | a LaserType enum value.
  rhs | a LaserType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FillRule & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FillRule object and enum string value for non-equality.

Parameters

  lhs | a FillRule object.
  rhs | a FillRule enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const NamingConvention & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare NamingConvention object and enum string value for non-equality.

Parameters

  lhs | a NamingConvention object.
  rhs | a NamingConvention enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ContrastMethod::enum_value & | lhs,
|  | const ContrastMethod & | rhs
| ) |  |
| inline

Compare enum value and ContrastMethod object for non-equality.

Parameters

  lhs | a ContrastMethod enum value.
  rhs | a ContrastMethod object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Compression & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Compression object and enum string value for non-equality.

Parameters

  lhs | a Compression object.
  rhs | a Compression enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ExperimentType & | lhs,
|  | const ExperimentType::enum_value & | rhs
| ) |  |
| inline

Compare ExperimentType object and enum value for non-equality.

Parameters

  lhs | a ExperimentType object.
  rhs | a ExperimentType enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LineCap & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare LineCap object and enum string value for non-equality.

Parameters

  lhs | a LineCap object.
  rhs | a LineCap enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FilamentType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FilamentType object and enum string value for non-equality.

Parameters

  lhs | a FilamentType object.
  rhs | a FilamentType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Marker & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Marker object and enum string value for non-equality.

Parameters

  lhs | a Marker object.
  rhs | a Marker enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const PixelType::enum_value & | lhs,
|  | const PixelType & | rhs
| ) |  |
| inline

Compare enum value and PixelType object for non-equality.

Parameters

  lhs | a PixelType enum value.
  rhs | a PixelType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FontStyle & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FontStyle object and enum string value for non-equality.

Parameters

  lhs | a FontStyle object.
  rhs | a FontStyle enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ArcType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare ArcType object and enum string value for non-equality.

Parameters

  lhs | a ArcType object.
  rhs | a ArcType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Binning & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Binning object and enum string value for non-equality.

Parameters

  lhs | a Binning object.
  rhs | a Binning enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const MicroscopeType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare MicroscopeType object and enum string value for non-equality.

Parameters

  lhs | a MicroscopeType object.
  rhs | a MicroscopeType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FontFamily & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FontFamily object and enum string value for non-equality.

Parameters

  lhs | a FontFamily object.
  rhs | a FontFamily enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const IlluminationType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare IlluminationType object and enum string value for non-equality.

Parameters

  lhs | a IlluminationType object.
  rhs | a IlluminationType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Medium & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Medium object and enum string value for non-equality.

Parameters

  lhs | a Medium object.
  rhs | a Medium enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Pulse & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Pulse object and enum string value for non-equality.

Parameters

  lhs | a Pulse object.
  rhs | a Pulse enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const DimensionOrder & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare DimensionOrder object and enum string value for non-equality.

Parameters

  lhs | a DimensionOrder object.
  rhs | a DimensionOrder enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const AcquisitionMode & | lhs,
|  | const AcquisitionMode::enum_value & | rhs
| ) |  |
| inline

Compare AcquisitionMode object and enum value for non-equality.

Parameters

  lhs | a AcquisitionMode object.
  rhs | a AcquisitionMode enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const DetectorType::enum_value & | lhs,
|  | const DetectorType & | rhs
| ) |  |
| inline

Compare enum value and DetectorType object for non-equality.

Parameters

  lhs | a DetectorType enum value.
  rhs | a DetectorType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Immersion & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Immersion object and enum string value for non-equality.

Parameters

  lhs | a Immersion object.
  rhs | a Immersion enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const MicrobeamManipulationType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare MicrobeamManipulationType object and enum string value for non-equality.

Parameters

  lhs | a MicrobeamManipulationType object.
  rhs | a MicrobeamManipulationType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Correction::enum_value & | lhs,
|  | const Correction & | rhs
| ) |  |
| inline

Compare enum value and Correction object for non-equality.

Parameters

  lhs | a Correction enum value.
  rhs | a Correction object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const FilterType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FilterType object and enum string value for non-equality.

Parameters

  lhs | a FilterType object.
  rhs | a FilterType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LaserType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare LaserType object and enum string value for non-equality.

Parameters

  lhs | a LaserType object.
  rhs | a LaserType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const FillRule & | rhs
| ) |  |
| inline

Compare enum string value and FillRule object for non-equality.

Parameters

  lhs | a FillRule enum string value.
  rhs | a FillRule object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const NamingConvention & | rhs
| ) |  |
| inline

Compare enum string value and NamingConvention object for non-equality.

Parameters

  lhs | a NamingConvention enum string value.
  rhs | a NamingConvention object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ContrastMethod & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare ContrastMethod object and enum string value for non-equality.

Parameters

  lhs | a ContrastMethod object.
  rhs | a ContrastMethod enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const Compression & | rhs
| ) |  |
| inline

Compare enum string value and Compression object for non-equality.

Parameters

  lhs | a Compression enum string value.
  rhs | a Compression object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ExperimentType::enum_value & | lhs,
|  | const ExperimentType & | rhs
| ) |  |
| inline

Compare enum value and ExperimentType object for non-equality.

Parameters

  lhs | a ExperimentType enum value.
  rhs | a ExperimentType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const LineCap & | rhs
| ) |  |
| inline

Compare enum string value and LineCap object for non-equality.

Parameters

  lhs | a LineCap enum string value.
  rhs | a LineCap object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const FilamentType & | rhs
| ) |  |
| inline

Compare enum string value and FilamentType object for non-equality.

Parameters

  lhs | a FilamentType enum string value.
  rhs | a FilamentType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const Marker & | rhs
| ) |  |
| inline

Compare enum string value and Marker object for non-equality.

Parameters

  lhs | a Marker enum string value.
  rhs | a Marker object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const PixelType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare PixelType object and enum string value for non-equality.

Parameters

  lhs | a PixelType object.
  rhs | a PixelType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const FontStyle & | rhs
| ) |  |
| inline

Compare enum string value and FontStyle object for non-equality.

Parameters

  lhs | a FontStyle enum string value.
  rhs | a FontStyle object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const ArcType & | rhs
| ) |  |
| inline

Compare enum string value and ArcType object for non-equality.

Parameters

  lhs | a ArcType enum string value.
  rhs | a ArcType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const MicroscopeType & | rhs
| ) |  |
| inline

Compare enum string value and MicroscopeType object for non-equality.

Parameters

  lhs | a MicroscopeType enum string value.
  rhs | a MicroscopeType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const Binning & | rhs
| ) |  |
| inline

Compare enum string value and Binning object for non-equality.

Parameters

  lhs | a Binning enum string value.
  rhs | a Binning object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const IlluminationType & | rhs
| ) |  |
| inline

Compare enum string value and IlluminationType object for non-equality.

Parameters

  lhs | a IlluminationType enum string value.
  rhs | a IlluminationType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const FontFamily & | rhs
| ) |  |
| inline

Compare enum string value and FontFamily object for non-equality.

Parameters

  lhs | a FontFamily enum string value.
  rhs | a FontFamily object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const Medium & | rhs
| ) |  |
| inline

Compare enum string value and Medium object for non-equality.

Parameters

  lhs | a Medium enum string value.
  rhs | a Medium object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const Pulse & | rhs
| ) |  |
| inline

Compare enum string value and Pulse object for non-equality.

Parameters

  lhs | a Pulse enum string value.
  rhs | a Pulse object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const AcquisitionMode::enum_value & | lhs,
|  | const AcquisitionMode & | rhs
| ) |  |
| inline

Compare enum value and AcquisitionMode object for non-equality.

Parameters

  lhs | a AcquisitionMode enum value.
  rhs | a AcquisitionMode object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const DimensionOrder & | rhs
| ) |  |
| inline

Compare enum string value and DimensionOrder object for non-equality.

Parameters

  lhs | a DimensionOrder enum string value.
  rhs | a DimensionOrder object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LaserMedium & | lhs,
|  | const LaserMedium & | rhs
| ) |  |
| inline

Compare two LaserMedium objects for non-equality.

Parameters

  lhs | a LaserMedium object.
  rhs | a LaserMedium object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const DetectorType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare DetectorType object and enum string value for non-equality.

Parameters

  lhs | a DetectorType object.
  rhs | a DetectorType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const Immersion & | rhs
| ) |  |
| inline

Compare enum string value and Immersion object for non-equality.

Parameters

  lhs | a Immersion enum string value.
  rhs | a Immersion object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const MicrobeamManipulationType & | rhs
| ) |  |
| inline

Compare enum string value and MicrobeamManipulationType object for non-equality.

Parameters

  lhs | a MicrobeamManipulationType enum string value.
  rhs | a MicrobeamManipulationType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const Correction & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Correction object and enum string value for non-equality.

Parameters

  lhs | a Correction object.
  rhs | a Correction enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const FilterType & | rhs
| ) |  |
| inline

Compare enum string value and FilterType object for non-equality.

Parameters

  lhs | a FilterType enum string value.
  rhs | a FilterType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const LaserType & | rhs
| ) |  |
| inline

Compare enum string value and LaserType object for non-equality.

Parameters

  lhs | a LaserType enum string value.
  rhs | a LaserType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const ContrastMethod & | rhs
| ) |  |
| inline

Compare enum string value and ContrastMethod object for non-equality.

Parameters

  lhs | a ContrastMethod enum string value.
  rhs | a ContrastMethod object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const ExperimentType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare ExperimentType object and enum string value for non-equality.

Parameters

  lhs | a ExperimentType object.
  rhs | a ExperimentType enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const PixelType & | rhs
| ) |  |
| inline

Compare enum string value and PixelType object for non-equality.

Parameters

  lhs | a PixelType enum string value.
  rhs | a PixelType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const AcquisitionMode & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare AcquisitionMode object and enum string value for non-equality.

Parameters

  lhs | a AcquisitionMode object.
  rhs | a AcquisitionMode enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LaserMedium & | lhs,
|  | const LaserMedium::enum_value & | rhs
| ) |  |
| inline

Compare LaserMedium object and enum value for non-equality.

Parameters

  lhs | a LaserMedium object.
  rhs | a LaserMedium enum value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const DetectorType & | rhs
| ) |  |
| inline

Compare enum string value and DetectorType object for non-equality.

Parameters

  lhs | a DetectorType enum string value.
  rhs | a DetectorType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const Correction & | rhs
| ) |  |
| inline

Compare enum string value and Correction object for non-equality.

Parameters

  lhs | a Correction enum string value.
  rhs | a Correction object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const ExperimentType & | rhs
| ) |  |
| inline

Compare enum string value and ExperimentType object for non-equality.

Parameters

  lhs | a ExperimentType enum string value.
  rhs | a ExperimentType object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const AcquisitionMode & | rhs
| ) |  |
| inline

Compare enum string value and AcquisitionMode object for non-equality.

Parameters

  lhs | a AcquisitionMode enum string value.
  rhs | a AcquisitionMode object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LaserMedium::enum_value & | lhs,
|  | const LaserMedium & | rhs
| ) |  |
| inline

Compare enum value and LaserMedium object for non-equality.

Parameters

  lhs | a LaserMedium enum value.
  rhs | a LaserMedium object.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const LaserMedium & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare LaserMedium object and enum string value for non-equality.

Parameters

  lhs | a LaserMedium object.
  rhs | a LaserMedium enum string value.

Returns
  true if the enum values are not the same, otherwise false.

bool ome::xml::model::enums::operator!= | ( | const std::string & | lhs,
|  | const LaserMedium & | rhs
| ) |  |
| inline

Compare enum string value and LaserMedium object for non-equality.

Parameters

  lhs | a LaserMedium enum string value.
  rhs | a LaserMedium object.

Returns
  true if the enum values are not the same, otherwise false.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const NamingConvention & | enumeration
| ) |  |
| inline

Output NamingConvention to output stream.

Parameters

  os | the output stream.
  enumeration | the NamingConvention to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const FillRule & | enumeration
| ) |  |
| inline

Output FillRule to output stream.

Parameters

  os | the output stream.
  enumeration | the FillRule to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Compression & | enumeration
| ) |  |
| inline

Output Compression to output stream.

Parameters

  os | the output stream.
  enumeration | the Compression to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const LineCap & | enumeration
| ) |  |
| inline

Output LineCap to output stream.

Parameters

  os | the output stream.
  enumeration | the LineCap to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const FilamentType & | enumeration
| ) |  |
| inline

Output FilamentType to output stream.

Parameters

  os | the output stream.
  enumeration | the FilamentType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Marker & | enumeration
| ) |  |
| inline

Output Marker to output stream.

Parameters

  os | the output stream.
  enumeration | the Marker to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const FontStyle & | enumeration
| ) |  |
| inline

Output FontStyle to output stream.

Parameters

  os | the output stream.
  enumeration | the FontStyle to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const ArcType & | enumeration
| ) |  |
| inline

Output ArcType to output stream.

Parameters

  os | the output stream.
  enumeration | the ArcType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Binning & | enumeration
| ) |  |
| inline

Output Binning to output stream.

Parameters

  os | the output stream.
  enumeration | the Binning to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const MicroscopeType & | enumeration
| ) |  |
| inline

Output MicroscopeType to output stream.

Parameters

  os | the output stream.
  enumeration | the MicroscopeType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const IlluminationType & | enumeration
| ) |  |
| inline

Output IlluminationType to output stream.

Parameters

  os | the output stream.
  enumeration | the IlluminationType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const FontFamily & | enumeration
| ) |  |
| inline

Output FontFamily to output stream.

Parameters

  os | the output stream.
  enumeration | the FontFamily to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Medium & | enumeration
| ) |  |
| inline

Output Medium to output stream.

Parameters

  os | the output stream.
  enumeration | the Medium to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const DimensionOrder & | enumeration
| ) |  |
| inline

Output DimensionOrder to output stream.

Parameters

  os | the output stream.
  enumeration | the DimensionOrder to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Pulse & | enumeration
| ) |  |
| inline

Output Pulse to output stream.

Parameters

  os | the output stream.
  enumeration | the Pulse to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Immersion & | enumeration
| ) |  |
| inline

Output Immersion to output stream.

Parameters

  os | the output stream.
  enumeration | the Immersion to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const MicrobeamManipulationType & | enumeration
| ) |  |
| inline

Output MicrobeamManipulationType to output stream.

Parameters

  os | the output stream.
  enumeration | the MicrobeamManipulationType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const FilterType & | enumeration
| ) |  |
| inline

Output FilterType to output stream.

Parameters

  os | the output stream.
  enumeration | the FilterType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const LaserType & | enumeration
| ) |  |
| inline

Output LaserType to output stream.

Parameters

  os | the output stream.
  enumeration | the LaserType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const ContrastMethod & | enumeration
| ) |  |
| inline

Output ContrastMethod to output stream.

Parameters

  os | the output stream.
  enumeration | the ContrastMethod to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const PixelType & | enumeration
| ) |  |
| inline

Output PixelType to output stream.

Parameters

  os | the output stream.
  enumeration | the PixelType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const DetectorType & | enumeration
| ) |  |
| inline

Output DetectorType to output stream.

Parameters

  os | the output stream.
  enumeration | the DetectorType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const Correction & | enumeration
| ) |  |
| inline

Output Correction to output stream.

Parameters

  os | the output stream.
  enumeration | the Correction to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const ExperimentType & | enumeration
| ) |  |
| inline

Output ExperimentType to output stream.

Parameters

  os | the output stream.
  enumeration | the ExperimentType to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const AcquisitionMode & | enumeration
| ) |  |
| inline

Output AcquisitionMode to output stream.

Parameters

  os | the output stream.
  enumeration | the AcquisitionMode to output.

Returns
  the output stream.

template<class charT , class traits >

std::basic_ostream<charT,traits>& ome::xml::model::enums::operator<< | ( | std::basic_ostream< charT, traits > & | os,
|  | const LaserMedium & | enumeration
| ) |  |
| inline

Output LaserMedium to output stream.

Parameters

  os | the output stream.
  enumeration | the LaserMedium to output.

Returns
  the output stream.

bool ome::xml::model::enums::operator== | ( | const NamingConvention & | lhs,
|  | const NamingConvention & | rhs
| ) |  |
| inline

Compare two NamingConvention objects for equality.

Parameters

  lhs | a NamingConvention object.
  rhs | a NamingConvention object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FillRule & | lhs,
|  | const FillRule & | rhs
| ) |  |
| inline

Compare two FillRule objects for equality.

Parameters

  lhs | a FillRule object.
  rhs | a FillRule object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Compression & | lhs,
|  | const Compression & | rhs
| ) |  |
| inline

Compare two Compression objects for equality.

Parameters

  lhs | a Compression object.
  rhs | a Compression object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LineCap & | lhs,
|  | const LineCap & | rhs
| ) |  |
| inline

Compare two LineCap objects for equality.

Parameters

  lhs | a LineCap object.
  rhs | a LineCap object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FilamentType & | lhs,
|  | const FilamentType & | rhs
| ) |  |
| inline

Compare two FilamentType objects for equality.

Parameters

  lhs | a FilamentType object.
  rhs | a FilamentType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Marker & | lhs,
|  | const Marker & | rhs
| ) |  |
| inline

Compare two Marker objects for equality.

Parameters

  lhs | a Marker object.
  rhs | a Marker object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FontStyle & | lhs,
|  | const FontStyle & | rhs
| ) |  |
| inline

Compare two FontStyle objects for equality.

Parameters

  lhs | a FontStyle object.
  rhs | a FontStyle object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ArcType & | lhs,
|  | const ArcType & | rhs
| ) |  |
| inline

Compare two ArcType objects for equality.

Parameters

  lhs | a ArcType object.
  rhs | a ArcType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const MicroscopeType & | lhs,
|  | const MicroscopeType & | rhs
| ) |  |
| inline

Compare two MicroscopeType objects for equality.

Parameters

  lhs | a MicroscopeType object.
  rhs | a MicroscopeType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FontFamily & | lhs,
|  | const FontFamily & | rhs
| ) |  |
| inline

Compare two FontFamily objects for equality.

Parameters

  lhs | a FontFamily object.
  rhs | a FontFamily object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const IlluminationType & | lhs,
|  | const IlluminationType & | rhs
| ) |  |
| inline

Compare two IlluminationType objects for equality.

Parameters

  lhs | a IlluminationType object.
  rhs | a IlluminationType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Binning & | lhs,
|  | const Binning & | rhs
| ) |  |
| inline

Compare two Binning objects for equality.

Parameters

  lhs | a Binning object.
  rhs | a Binning object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Medium & | lhs,
|  | const Medium & | rhs
| ) |  |
| inline

Compare two Medium objects for equality.

Parameters

  lhs | a Medium object.
  rhs | a Medium object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Pulse & | lhs,
|  | const Pulse & | rhs
| ) |  |
| inline

Compare two Pulse objects for equality.

Parameters

  lhs | a Pulse object.
  rhs | a Pulse object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const DimensionOrder & | lhs,
|  | const DimensionOrder & | rhs
| ) |  |
| inline

Compare two DimensionOrder objects for equality.

Parameters

  lhs | a DimensionOrder object.
  rhs | a DimensionOrder object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Immersion & | lhs,
|  | const Immersion & | rhs
| ) |  |
| inline

Compare two Immersion objects for equality.

Parameters

  lhs | a Immersion object.
  rhs | a Immersion object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FilterType & | lhs,
|  | const FilterType & | rhs
| ) |  |
| inline

Compare two FilterType objects for equality.

Parameters

  lhs | a FilterType object.
  rhs | a FilterType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LaserType & | lhs,
|  | const LaserType & | rhs
| ) |  |
| inline

Compare two LaserType objects for equality.

Parameters

  lhs | a LaserType object.
  rhs | a LaserType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const MicrobeamManipulationType & | lhs,
|  | const MicrobeamManipulationType & | rhs
| ) |  |
| inline

Compare two MicrobeamManipulationType objects for equality.

Parameters

  lhs | a MicrobeamManipulationType object.
  rhs | a MicrobeamManipulationType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const NamingConvention & | lhs,
|  | const NamingConvention::enum_value & | rhs
| ) |  |
| inline

Compare NamingConvention object and enum value for equality.

Parameters

  lhs | a NamingConvention object.
  rhs | a NamingConvention enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ContrastMethod & | lhs,
|  | const ContrastMethod & | rhs
| ) |  |
| inline

Compare two ContrastMethod objects for equality.

Parameters

  lhs | a ContrastMethod object.
  rhs | a ContrastMethod object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FillRule & | lhs,
|  | const FillRule::enum_value & | rhs
| ) |  |
| inline

Compare FillRule object and enum value for equality.

Parameters

  lhs | a FillRule object.
  rhs | a FillRule enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Compression & | lhs,
|  | const Compression::enum_value & | rhs
| ) |  |
| inline

Compare Compression object and enum value for equality.

Parameters

  lhs | a Compression object.
  rhs | a Compression enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LineCap & | lhs,
|  | const LineCap::enum_value & | rhs
| ) |  |
| inline

Compare LineCap object and enum value for equality.

Parameters

  lhs | a LineCap object.
  rhs | a LineCap enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FilamentType & | lhs,
|  | const FilamentType::enum_value & | rhs
| ) |  |
| inline

Compare FilamentType object and enum value for equality.

Parameters

  lhs | a FilamentType object.
  rhs | a FilamentType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Marker & | lhs,
|  | const Marker::enum_value & | rhs
| ) |  |
| inline

Compare Marker object and enum value for equality.

Parameters

  lhs | a Marker object.
  rhs | a Marker enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const PixelType & | lhs,
|  | const PixelType & | rhs
| ) |  |
| inline

Compare two PixelType objects for equality.

Parameters

  lhs | a PixelType object.
  rhs | a PixelType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FontStyle & | lhs,
|  | const FontStyle::enum_value & | rhs
| ) |  |
| inline

Compare FontStyle object and enum value for equality.

Parameters

  lhs | a FontStyle object.
  rhs | a FontStyle enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ArcType & | lhs,
|  | const ArcType::enum_value & | rhs
| ) |  |
| inline

Compare ArcType object and enum value for equality.

Parameters

  lhs | a ArcType object.
  rhs | a ArcType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const MicroscopeType & | lhs,
|  | const MicroscopeType::enum_value & | rhs
| ) |  |
| inline

Compare MicroscopeType object and enum value for equality.

Parameters

  lhs | a MicroscopeType object.
  rhs | a MicroscopeType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FontFamily & | lhs,
|  | const FontFamily::enum_value & | rhs
| ) |  |
| inline

Compare FontFamily object and enum value for equality.

Parameters

  lhs | a FontFamily object.
  rhs | a FontFamily enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const IlluminationType & | lhs,
|  | const IlluminationType::enum_value & | rhs
| ) |  |
| inline

Compare IlluminationType object and enum value for equality.

Parameters

  lhs | a IlluminationType object.
  rhs | a IlluminationType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Binning & | lhs,
|  | const Binning::enum_value & | rhs
| ) |  |
| inline

Compare Binning object and enum value for equality.

Parameters

  lhs | a Binning object.
  rhs | a Binning enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Medium & | lhs,
|  | const Medium::enum_value & | rhs
| ) |  |
| inline

Compare Medium object and enum value for equality.

Parameters

  lhs | a Medium object.
  rhs | a Medium enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Pulse & | lhs,
|  | const Pulse::enum_value & | rhs
| ) |  |
| inline

Compare Pulse object and enum value for equality.

Parameters

  lhs | a Pulse object.
  rhs | a Pulse enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const DimensionOrder & | lhs,
|  | const DimensionOrder::enum_value & | rhs
| ) |  |
| inline

Compare DimensionOrder object and enum value for equality.

Parameters

  lhs | a DimensionOrder object.
  rhs | a DimensionOrder enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const DetectorType & | lhs,
|  | const DetectorType & | rhs
| ) |  |
| inline

Compare two DetectorType objects for equality.

Parameters

  lhs | a DetectorType object.
  rhs | a DetectorType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Immersion & | lhs,
|  | const Immersion::enum_value & | rhs
| ) |  |
| inline

Compare Immersion object and enum value for equality.

Parameters

  lhs | a Immersion object.
  rhs | a Immersion enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FilterType & | lhs,
|  | const FilterType::enum_value & | rhs
| ) |  |
| inline

Compare FilterType object and enum value for equality.

Parameters

  lhs | a FilterType object.
  rhs | a FilterType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const MicrobeamManipulationType & | lhs,
|  | const MicrobeamManipulationType::enum_value & | rhs
| ) |  |
| inline

Compare MicrobeamManipulationType object and enum value for equality.

Parameters

  lhs | a MicrobeamManipulationType object.
  rhs | a MicrobeamManipulationType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LaserType & | lhs,
|  | const LaserType::enum_value & | rhs
| ) |  |
| inline

Compare LaserType object and enum value for equality.

Parameters

  lhs | a LaserType object.
  rhs | a LaserType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Correction & | lhs,
|  | const Correction & | rhs
| ) |  |
| inline

Compare two Correction objects for equality.

Parameters

  lhs | a Correction object.
  rhs | a Correction object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FillRule::enum_value & | lhs,
|  | const FillRule & | rhs
| ) |  |
| inline

Compare enum value and FillRule for equality.

Parameters

  lhs | a FillRule enum value.
  rhs | a FillRule object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const NamingConvention::enum_value & | lhs,
|  | const NamingConvention & | rhs
| ) |  |
| inline

Compare enum value and NamingConvention for equality.

Parameters

  lhs | a NamingConvention enum value.
  rhs | a NamingConvention object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ContrastMethod & | lhs,
|  | const ContrastMethod::enum_value & | rhs
| ) |  |
| inline

Compare ContrastMethod object and enum value for equality.

Parameters

  lhs | a ContrastMethod object.
  rhs | a ContrastMethod enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Compression::enum_value & | lhs,
|  | const Compression & | rhs
| ) |  |
| inline

Compare enum value and Compression for equality.

Parameters

  lhs | a Compression enum value.
  rhs | a Compression object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ExperimentType & | lhs,
|  | const ExperimentType & | rhs
| ) |  |
| inline

Compare two ExperimentType objects for equality.

Parameters

  lhs | a ExperimentType object.
  rhs | a ExperimentType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LineCap::enum_value & | lhs,
|  | const LineCap & | rhs
| ) |  |
| inline

Compare enum value and LineCap for equality.

Parameters

  lhs | a LineCap enum value.
  rhs | a LineCap object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Marker::enum_value & | lhs,
|  | const Marker & | rhs
| ) |  |
| inline

Compare enum value and Marker for equality.

Parameters

  lhs | a Marker enum value.
  rhs | a Marker object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FilamentType::enum_value & | lhs,
|  | const FilamentType & | rhs
| ) |  |
| inline

Compare enum value and FilamentType for equality.

Parameters

  lhs | a FilamentType enum value.
  rhs | a FilamentType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const PixelType & | lhs,
|  | const PixelType::enum_value & | rhs
| ) |  |
| inline

Compare PixelType object and enum value for equality.

Parameters

  lhs | a PixelType object.
  rhs | a PixelType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FontStyle::enum_value & | lhs,
|  | const FontStyle & | rhs
| ) |  |
| inline

Compare enum value and FontStyle for equality.

Parameters

  lhs | a FontStyle enum value.
  rhs | a FontStyle object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ArcType::enum_value & | lhs,
|  | const ArcType & | rhs
| ) |  |
| inline

Compare enum value and ArcType for equality.

Parameters

  lhs | a ArcType enum value.
  rhs | a ArcType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Binning::enum_value & | lhs,
|  | const Binning & | rhs
| ) |  |
| inline

Compare enum value and Binning for equality.

Parameters

  lhs | a Binning enum value.
  rhs | a Binning object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Medium::enum_value & | lhs,
|  | const Medium & | rhs
| ) |  |
| inline

Compare enum value and Medium for equality.

Parameters

  lhs | a Medium enum value.
  rhs | a Medium object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const MicroscopeType::enum_value & | lhs,
|  | const MicroscopeType & | rhs
| ) |  |
| inline

Compare enum value and MicroscopeType for equality.

Parameters

  lhs | a MicroscopeType enum value.
  rhs | a MicroscopeType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FontFamily::enum_value & | lhs,
|  | const FontFamily & | rhs
| ) |  |
| inline

Compare enum value and FontFamily for equality.

Parameters

  lhs | a FontFamily enum value.
  rhs | a FontFamily object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const IlluminationType::enum_value & | lhs,
|  | const IlluminationType & | rhs
| ) |  |
| inline

Compare enum value and IlluminationType for equality.

Parameters

  lhs | a IlluminationType enum value.
  rhs | a IlluminationType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Pulse::enum_value & | lhs,
|  | const Pulse & | rhs
| ) |  |
| inline

Compare enum value and Pulse for equality.

Parameters

  lhs | a Pulse enum value.
  rhs | a Pulse object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const DimensionOrder::enum_value & | lhs,
|  | const DimensionOrder & | rhs
| ) |  |
| inline

Compare enum value and DimensionOrder for equality.

Parameters

  lhs | a DimensionOrder enum value.
  rhs | a DimensionOrder object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const AcquisitionMode & | lhs,
|  | const AcquisitionMode & | rhs
| ) |  |
| inline

Compare two AcquisitionMode objects for equality.

Parameters

  lhs | a AcquisitionMode object.
  rhs | a AcquisitionMode object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const DetectorType & | lhs,
|  | const DetectorType::enum_value & | rhs
| ) |  |
| inline

Compare DetectorType object and enum value for equality.

Parameters

  lhs | a DetectorType object.
  rhs | a DetectorType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Immersion::enum_value & | lhs,
|  | const Immersion & | rhs
| ) |  |
| inline

Compare enum value and Immersion for equality.

Parameters

  lhs | a Immersion enum value.
  rhs | a Immersion object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FilterType::enum_value & | lhs,
|  | const FilterType & | rhs
| ) |  |
| inline

Compare enum value and FilterType for equality.

Parameters

  lhs | a FilterType enum value.
  rhs | a FilterType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const MicrobeamManipulationType::enum_value & | lhs,
|  | const MicrobeamManipulationType & | rhs
| ) |  |
| inline

Compare enum value and MicrobeamManipulationType for equality.

Parameters

  lhs | a MicrobeamManipulationType enum value.
  rhs | a MicrobeamManipulationType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LaserType::enum_value & | lhs,
|  | const LaserType & | rhs
| ) |  |
| inline

Compare enum value and LaserType for equality.

Parameters

  lhs | a LaserType enum value.
  rhs | a LaserType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Correction & | lhs,
|  | const Correction::enum_value & | rhs
| ) |  |
| inline

Compare Correction object and enum value for equality.

Parameters

  lhs | a Correction object.
  rhs | a Correction enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FillRule & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FillRule object and enum string value for equality.

Parameters

  lhs | a FillRule object.
  rhs | a FillRule enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ContrastMethod::enum_value & | lhs,
|  | const ContrastMethod & | rhs
| ) |  |
| inline

Compare enum value and ContrastMethod for equality.

Parameters

  lhs | a ContrastMethod enum value.
  rhs | a ContrastMethod object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const NamingConvention & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare NamingConvention object and enum string value for equality.

Parameters

  lhs | a NamingConvention object.
  rhs | a NamingConvention enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Compression & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Compression object and enum string value for equality.

Parameters

  lhs | a Compression object.
  rhs | a Compression enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LineCap & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare LineCap object and enum string value for equality.

Parameters

  lhs | a LineCap object.
  rhs | a LineCap enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ExperimentType & | lhs,
|  | const ExperimentType::enum_value & | rhs
| ) |  |
| inline

Compare ExperimentType object and enum value for equality.

Parameters

  lhs | a ExperimentType object.
  rhs | a ExperimentType enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FilamentType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FilamentType object and enum string value for equality.

Parameters

  lhs | a FilamentType object.
  rhs | a FilamentType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Marker & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Marker object and enum string value for equality.

Parameters

  lhs | a Marker object.
  rhs | a Marker enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const PixelType::enum_value & | lhs,
|  | const PixelType & | rhs
| ) |  |
| inline

Compare enum value and PixelType for equality.

Parameters

  lhs | a PixelType enum value.
  rhs | a PixelType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FontStyle & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FontStyle object and enum string value for equality.

Parameters

  lhs | a FontStyle object.
  rhs | a FontStyle enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ArcType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare ArcType object and enum string value for equality.

Parameters

  lhs | a ArcType object.
  rhs | a ArcType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Binning & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Binning object and enum string value for equality.

Parameters

  lhs | a Binning object.
  rhs | a Binning enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const MicroscopeType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare MicroscopeType object and enum string value for equality.

Parameters

  lhs | a MicroscopeType object.
  rhs | a MicroscopeType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FontFamily & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FontFamily object and enum string value for equality.

Parameters

  lhs | a FontFamily object.
  rhs | a FontFamily enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const IlluminationType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare IlluminationType object and enum string value for equality.

Parameters

  lhs | a IlluminationType object.
  rhs | a IlluminationType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Medium & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Medium object and enum string value for equality.

Parameters

  lhs | a Medium object.
  rhs | a Medium enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const DimensionOrder & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare DimensionOrder object and enum string value for equality.

Parameters

  lhs | a DimensionOrder object.
  rhs | a DimensionOrder enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const AcquisitionMode & | lhs,
|  | const AcquisitionMode::enum_value & | rhs
| ) |  |
| inline

Compare AcquisitionMode object and enum value for equality.

Parameters

  lhs | a AcquisitionMode object.
  rhs | a AcquisitionMode enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Pulse & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Pulse object and enum string value for equality.

Parameters

  lhs | a Pulse object.
  rhs | a Pulse enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const DetectorType::enum_value & | lhs,
|  | const DetectorType & | rhs
| ) |  |
| inline

Compare enum value and DetectorType for equality.

Parameters

  lhs | a DetectorType enum value.
  rhs | a DetectorType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Immersion & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Immersion object and enum string value for equality.

Parameters

  lhs | a Immersion object.
  rhs | a Immersion enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const FilterType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare FilterType object and enum string value for equality.

Parameters

  lhs | a FilterType object.
  rhs | a FilterType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const MicrobeamManipulationType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare MicrobeamManipulationType object and enum string value for equality.

Parameters

  lhs | a MicrobeamManipulationType object.
  rhs | a MicrobeamManipulationType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LaserType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare LaserType object and enum string value for equality.

Parameters

  lhs | a LaserType object.
  rhs | a LaserType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Correction::enum_value & | lhs,
|  | const Correction & | rhs
| ) |  |
| inline

Compare enum value and Correction for equality.

Parameters

  lhs | a Correction enum value.
  rhs | a Correction object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const FillRule & | rhs
| ) |  |
| inline

Compare enum string value and FillRule object for equality.

Parameters

  lhs | a FillRule enum string value.
  rhs | a FillRule object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const NamingConvention & | rhs
| ) |  |
| inline

Compare enum string value and NamingConvention object for equality.

Parameters

  lhs | a NamingConvention enum string value.
  rhs | a NamingConvention object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ContrastMethod & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare ContrastMethod object and enum string value for equality.

Parameters

  lhs | a ContrastMethod object.
  rhs | a ContrastMethod enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const LineCap & | rhs
| ) |  |
| inline

Compare enum string value and LineCap object for equality.

Parameters

  lhs | a LineCap enum string value.
  rhs | a LineCap object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ExperimentType::enum_value & | lhs,
|  | const ExperimentType & | rhs
| ) |  |
| inline

Compare enum value and ExperimentType for equality.

Parameters

  lhs | a ExperimentType enum value.
  rhs | a ExperimentType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const FilamentType & | rhs
| ) |  |
| inline

Compare enum string value and FilamentType object for equality.

Parameters

  lhs | a FilamentType enum string value.
  rhs | a FilamentType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const Marker & | rhs
| ) |  |
| inline

Compare enum string value and Marker object for equality.

Parameters

  lhs | a Marker enum string value.
  rhs | a Marker object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const Compression & | rhs
| ) |  |
| inline

Compare enum string value and Compression object for equality.

Parameters

  lhs | a Compression enum string value.
  rhs | a Compression object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const PixelType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare PixelType object and enum string value for equality.

Parameters

  lhs | a PixelType object.
  rhs | a PixelType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const FontStyle & | rhs
| ) |  |
| inline

Compare enum string value and FontStyle object for equality.

Parameters

  lhs | a FontStyle enum string value.
  rhs | a FontStyle object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const ArcType & | rhs
| ) |  |
| inline

Compare enum string value and ArcType object for equality.

Parameters

  lhs | a ArcType enum string value.
  rhs | a ArcType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const FontFamily & | rhs
| ) |  |
| inline

Compare enum string value and FontFamily object for equality.

Parameters

  lhs | a FontFamily enum string value.
  rhs | a FontFamily object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const Binning & | rhs
| ) |  |
| inline

Compare enum string value and Binning object for equality.

Parameters

  lhs | a Binning enum string value.
  rhs | a Binning object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const MicroscopeType & | rhs
| ) |  |
| inline

Compare enum string value and MicroscopeType object for equality.

Parameters

  lhs | a MicroscopeType enum string value.
  rhs | a MicroscopeType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const IlluminationType & | rhs
| ) |  |
| inline

Compare enum string value and IlluminationType object for equality.

Parameters

  lhs | a IlluminationType enum string value.
  rhs | a IlluminationType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const Medium & | rhs
| ) |  |
| inline

Compare enum string value and Medium object for equality.

Parameters

  lhs | a Medium enum string value.
  rhs | a Medium object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const Pulse & | rhs
| ) |  |
| inline

Compare enum string value and Pulse object for equality.

Parameters

  lhs | a Pulse enum string value.
  rhs | a Pulse object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const AcquisitionMode::enum_value & | lhs,
|  | const AcquisitionMode & | rhs
| ) |  |
| inline

Compare enum value and AcquisitionMode for equality.

Parameters

  lhs | a AcquisitionMode enum value.
  rhs | a AcquisitionMode object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LaserMedium & | lhs,
|  | const LaserMedium & | rhs
| ) |  |
| inline

Compare two LaserMedium objects for equality.

Parameters

  lhs | a LaserMedium object.
  rhs | a LaserMedium object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const DimensionOrder & | rhs
| ) |  |
| inline

Compare enum string value and DimensionOrder object for equality.

Parameters

  lhs | a DimensionOrder enum string value.
  rhs | a DimensionOrder object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const DetectorType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare DetectorType object and enum string value for equality.

Parameters

  lhs | a DetectorType object.
  rhs | a DetectorType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const Immersion & | rhs
| ) |  |
| inline

Compare enum string value and Immersion object for equality.

Parameters

  lhs | a Immersion enum string value.
  rhs | a Immersion object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const LaserType & | rhs
| ) |  |
| inline

Compare enum string value and LaserType object for equality.

Parameters

  lhs | a LaserType enum string value.
  rhs | a LaserType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const FilterType & | rhs
| ) |  |
| inline

Compare enum string value and FilterType object for equality.

Parameters

  lhs | a FilterType enum string value.
  rhs | a FilterType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const Correction & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare Correction object and enum string value for equality.

Parameters

  lhs | a Correction object.
  rhs | a Correction enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const MicrobeamManipulationType & | rhs
| ) |  |
| inline

Compare enum string value and MicrobeamManipulationType object for equality.

Parameters

  lhs | a MicrobeamManipulationType enum string value.
  rhs | a MicrobeamManipulationType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const ContrastMethod & | rhs
| ) |  |
| inline

Compare enum string value and ContrastMethod object for equality.

Parameters

  lhs | a ContrastMethod enum string value.
  rhs | a ContrastMethod object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const ExperimentType & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare ExperimentType object and enum string value for equality.

Parameters

  lhs | a ExperimentType object.
  rhs | a ExperimentType enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const PixelType & | rhs
| ) |  |
| inline

Compare enum string value and PixelType object for equality.

Parameters

  lhs | a PixelType enum string value.
  rhs | a PixelType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LaserMedium & | lhs,
|  | const LaserMedium::enum_value & | rhs
| ) |  |
| inline

Compare LaserMedium object and enum value for equality.

Parameters

  lhs | a LaserMedium object.
  rhs | a LaserMedium enum value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const AcquisitionMode & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare AcquisitionMode object and enum string value for equality.

Parameters

  lhs | a AcquisitionMode object.
  rhs | a AcquisitionMode enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const DetectorType & | rhs
| ) |  |
| inline

Compare enum string value and DetectorType object for equality.

Parameters

  lhs | a DetectorType enum string value.
  rhs | a DetectorType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const Correction & | rhs
| ) |  |
| inline

Compare enum string value and Correction object for equality.

Parameters

  lhs | a Correction enum string value.
  rhs | a Correction object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const ExperimentType & | rhs
| ) |  |
| inline

Compare enum string value and ExperimentType object for equality.

Parameters

  lhs | a ExperimentType enum string value.
  rhs | a ExperimentType object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const AcquisitionMode & | rhs
| ) |  |
| inline

Compare enum string value and AcquisitionMode object for equality.

Parameters

  lhs | a AcquisitionMode enum string value.
  rhs | a AcquisitionMode object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LaserMedium::enum_value & | lhs,
|  | const LaserMedium & | rhs
| ) |  |
| inline

Compare enum value and LaserMedium for equality.

Parameters

  lhs | a LaserMedium enum value.
  rhs | a LaserMedium object.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const LaserMedium & | lhs,
|  | const std::string & | rhs
| ) |  |
| inline

Compare LaserMedium object and enum string value for equality.

Parameters

  lhs | a LaserMedium object.
  rhs | a LaserMedium enum string value.

Returns
  true if the enum values are the same, otherwise false.

bool ome::xml::model::enums::operator== | ( | const std::string & | lhs,
|  | const LaserMedium & | rhs
| ) |  |
| inline

Compare enum string value and LaserMedium object for equality.

Parameters

  lhs | a LaserMedium enum string value.
  rhs | a LaserMedium object.

Returns
  true if the enum values are the same, otherwise false.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | NamingConvention & | enumeration
| ) |  |
| inline

Set NamingConvention from input stream.

Parameters

  is | the input stream.
  enumeration | the NamingConvention to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | FillRule & | enumeration
| ) |  |
| inline

Set FillRule from input stream.

Parameters

  is | the input stream.
  enumeration | the FillRule to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Marker & | enumeration
| ) |  |
| inline

Set Marker from input stream.

Parameters

  is | the input stream.
  enumeration | the Marker to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | LineCap & | enumeration
| ) |  |
| inline

Set LineCap from input stream.

Parameters

  is | the input stream.
  enumeration | the LineCap to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Compression & | enumeration
| ) |  |
| inline

Set Compression from input stream.

Parameters

  is | the input stream.
  enumeration | the Compression to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | FilamentType & | enumeration
| ) |  |
| inline

Set FilamentType from input stream.

Parameters

  is | the input stream.
  enumeration | the FilamentType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | ArcType & | enumeration
| ) |  |
| inline

Set ArcType from input stream.

Parameters

  is | the input stream.
  enumeration | the ArcType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | FontStyle & | enumeration
| ) |  |
| inline

Set FontStyle from input stream.

Parameters

  is | the input stream.
  enumeration | the FontStyle to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Medium & | enumeration
| ) |  |
| inline

Set Medium from input stream.

Parameters

  is | the input stream.
  enumeration | the Medium to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | FontFamily & | enumeration
| ) |  |
| inline

Set FontFamily from input stream.

Parameters

  is | the input stream.
  enumeration | the FontFamily to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Binning & | enumeration
| ) |  |
| inline

Set Binning from input stream.

Parameters

  is | the input stream.
  enumeration | the Binning to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | IlluminationType & | enumeration
| ) |  |
| inline

Set IlluminationType from input stream.

Parameters

  is | the input stream.
  enumeration | the IlluminationType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | MicroscopeType & | enumeration
| ) |  |
| inline

Set MicroscopeType from input stream.

Parameters

  is | the input stream.
  enumeration | the MicroscopeType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Pulse & | enumeration
| ) |  |
| inline

Set Pulse from input stream.

Parameters

  is | the input stream.
  enumeration | the Pulse to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | DimensionOrder & | enumeration
| ) |  |
| inline

Set DimensionOrder from input stream.

Parameters

  is | the input stream.
  enumeration | the DimensionOrder to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Immersion & | enumeration
| ) |  |
| inline

Set Immersion from input stream.

Parameters

  is | the input stream.
  enumeration | the Immersion to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | MicrobeamManipulationType & | enumeration
| ) |  |
| inline

Set MicrobeamManipulationType from input stream.

Parameters

  is | the input stream.
  enumeration | the MicrobeamManipulationType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | LaserType & | enumeration
| ) |  |
| inline

Set LaserType from input stream.

Parameters

  is | the input stream.
  enumeration | the LaserType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | FilterType & | enumeration
| ) |  |
| inline

Set FilterType from input stream.

Parameters

  is | the input stream.
  enumeration | the FilterType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | ContrastMethod & | enumeration
| ) |  |
| inline

Set ContrastMethod from input stream.

Parameters

  is | the input stream.
  enumeration | the ContrastMethod to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | PixelType & | enumeration
| ) |  |
| inline

Set PixelType from input stream.

Parameters

  is | the input stream.
  enumeration | the PixelType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | DetectorType & | enumeration
| ) |  |
| inline

Set DetectorType from input stream.

Parameters

  is | the input stream.
  enumeration | the DetectorType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | Correction & | enumeration
| ) |  |
| inline

Set Correction from input stream.

Parameters

  is | the input stream.
  enumeration | the Correction to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | ExperimentType & | enumeration
| ) |  |
| inline

Set ExperimentType from input stream.

Parameters

  is | the input stream.
  enumeration | the ExperimentType to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | AcquisitionMode & | enumeration
| ) |  |
| inline

Set AcquisitionMode from input stream.

Parameters

  is | the input stream.
  enumeration | the AcquisitionMode to input.

Returns
  the input stream.

template<class charT , class traits >

std::basic_istream<charT,traits>& ome::xml::model::enums::operator>> | ( | std::basic_istream< charT, traits > & | is,
|  | LaserMedium & | enumeration
| ) |  |
| inline

Set LaserMedium from input stream.

Parameters

  is | the input stream.
  enumeration | the LaserMedium to input.

Returns
  the input stream.